
COMPILER_NAME         = cris-linux-gcc3.4-glibc2.3
COMPILER_PACKAGE      = scratchbox-toolchain-cris-gcc3.4-glibc2.3
ARCH                  = cris
SUB_ARCH              = cris
USE_SOFTFLOAT         = no

LINUX_HEADERS_VER     = 2.6.13+0rc3
LINUX_HEADERS_SRC     = linux-kernel-headers_$(LINUX_HEADERS_VER)_$(ARCH).tar.gz


BINUTILS_VER          = 2.16.1
BINUTILS_DIR          = binutils
BINUTILS_SRC          = binutils_2.16.1.orig.tar.gz
BINUTILS_PATCH_SCRIPT = undeb_binutils.sh
BINUTILS_SCRIPT_FILE  = binutils_2.16.1-2.diff.gz

FAKE_BINUTILS_PATCH   = fake_native.patch

LIBC_VER              = 2.3.2
LIBC_FULLVER          = $(LIBC_VER).ds1-22
LIBC_HEADERS_DIR      = glibc-headers
LIBC_DIR              = cris-glibc
LIBC_SRC              = glibc_2.3.2.ds1.orig.tar.gz
#LIBC_PATCHES          = glibc-2.3.2-debian.patch glibc-2.3.2-cris.patch glibc-2.3.2-gcc-4.0.patch glibc-2.3.2-allow-gcc-3.5-gconv.patch glibc-2.3.5-allow-gcc4-symbols.patch glibc-2.2.5-allow-gcc-4.0-msort.patch
LIBC_PATCHES          = glibc-2.3.2-debian.patch glibc-2.3.2-cris.patch glibc-2.3.2-dl-load.patch 
LIBC_PATCH_SCRIPT     = undeb_glibc.sh
LIBC_SCRIPT_FILE      = glibc_$(LIBC_FULLVER).diff.gz

CC_VER                = 3.4.3
CC_GCCVER             = 3.4.3
CC_FULLVER            = 3:3.4-$(CC_VER)
CC_PASS1_DIR          = gcc-3.4-pass1
CC_PASS2_DIR          = gcc-3.4-pass2
CC_DEBIAN_DIR         = gcc-3.4-debian
CC_SRC                = gcc-$(CC_VER).tar.bz2
CC_PATCHES=
CC_PATCH_SCRIPT=undeb_gcc.sh
CC_SCRIPT_FILE        = gcc-3.4_3.4.3-13.diff.gz
CC_SCRIPT_ENV         =ARCH=cris
